Qpid
  1. Qpid
  2. QPID-4043

The cluster code (c++ broker) uses deprecated CPG definitions

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 0.16
    • Fix Version/s: 0.17
    • Component/s: C++ Clustering
    • Labels:
      None

      Description

      The clustering code uses deprecated definitions from the corosync/cpg.h header file. These definitions are removed in Corosync 2.0. As a result, Qpid does not build against Corosync 2.0 (included in Linux distributions like Fedora 17).

        Activity

        Hide
        Ted Ross added a comment -

        The fix also includes support for the really old openais package which still uses the deprecated type definitions and enumerations.

        Show
        Ted Ross added a comment - The fix also includes support for the really old openais package which still uses the deprecated type definitions and enumerations.

          People

          • Assignee:
            Ted Ross
            Reporter:
            Ted Ross
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development